The Spring Framework

## org.springframework.mock.web.portlet
Class MockActionRequest

    java.lang.Object
      org.springframework.mock.web.portlet.MockPortletRequest
          org.springframework.mock.web.portlet.MockActionRequest

All Implemented Interfaces:
  javax.portlet.ActionRequest, javax.portlet.PortletRequest

Direct Known Subclasses:
  MockMultipartActionRequest

    public class MockActionRequest

extends MockPortletRequest
implements javax.portlet.ActionRequest

Mock implementation of the `ActionRequest` interface.

Since:
  2.0
Author:
  John A. Lewis, Juergen Hoeller

Field Summary

Fields inherited from interface javax.portlet.PortletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH, USER_INFO`

Constructor Summary
`MockActionRequest()` Create a new MockActionRequest with a default `MockPortalContext` and a default `MockPortletContext`.
`MockActionRequest(javax.portlet.PortalContext portalContext, javax.portlet.PortletContext portletContext)` Create a new MockActionRequest.
`MockActionRequest(javax.portlet.PortletContext portletContext)` Create a new MockActionRequest with a default `MockPortalContext`.
`MockActionRequest(javax.portlet.PortletMode portletMode)` Create a new MockActionRequest with a default `MockPortalContext` and a default `MockPortletContext`.

Method Summary
`String` `getCharacterEncoding()`
`int` `getContentLength()`
`String` `getContentType()`
`InputStream` `getPortletInputStream()`
`BufferedReader` `getReader()`
`void` `setCharacterEncoding(String characterEncoding)`
`void` `setContent(byte[] content)`
`void` `setContentType(String contentType)`

Methods inherited from class org.springframework.mock.web.portlet.MockPortletRequest

`addLocale, addParameter, addParameter, addPreferredLocale, addPreferredResponseContentType, addProperty, addResponseContentType, addUserRole, checkActive, close, getAttribute, getAttributeNames, getAuthType, getContextPath, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getProperties, getProperty, getPropertyNames, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowState, isActive, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute, setAuthType, setContextPath, setParameter, setParameter, setParameters, setPortletMode, setPreferences, setProperty, setRemoteUser, setRequestedSessionIdValid, setScheme, setSecure, setServerName, setServerPort, setSession, setUserPrincipal, setWindowState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.portlet.PortletRequest

`getAttribute, getAttributeNames, getAuthType, getContextPath, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getPortalContext, getPortletMode, getPortletSession, getPortletSession, getPreferences, getProperties, getProperty, getPropertyNames, getRemoteUser, getRequestedSessionId, getResponseContentType, getResponseContentTypes, getScheme, getServerName, getServerPort, getUserPrincipal, getWindowState, isPortletModeAllowed, isRequestedSessionIdValid, isSecure, isUserInRole, isWindowStateAllowed, removeAttribute, setAttribute`

Constructor Detail

### MockActionRequest

    public MockActionRequest()

  Create a new MockActionRequest with a default `MockPortalContext` and a default `MockPortletContext`.

  See Also:
    `MockPortalContext`, `MockPortletContext`

### MockActionRequest

    public MockActionRequest(javax.portlet.PortletMode portletMode)

  Create a new MockActionRequest with a default `MockPortalContext` and a default `MockPortletContext`.

  Parameters:
    `portletMode` - the mode that the portlet runs in

### MockActionRequest

    public MockActionRequest(javax.portlet.PortletContext portletContext)

  Create a new MockActionRequest with a default `MockPortalContext`.

  Parameters:
    `portletContext` - the PortletContext that the request runs in

### MockActionRequest

    public MockActionRequest(javax.portlet.PortalContext portalContext,
                             javax.portlet.PortletContext portletContext)

  Create a new MockActionRequest.

  Parameters:
    `portalContext` - the PortalContext that the request runs in
    `portletContext` - the PortletContext that the request runs in

Method Detail

### setContent

    public void setContent(byte[] content)

### getPortletInputStream

    public InputStream getPortletInputStream()
                                      throws IOException

  Specified by:
    `getPortletInputStream` in interface `javax.portlet.ActionRequest`
  Throws:
    `IOException`

### setCharacterEncoding

    public void setCharacterEncoding(String characterEncoding)

  Specified by:
    `setCharacterEncoding` in interface `javax.portlet.ActionRequest`

### getReader

    public BufferedReader getReader()
                             throws UnsupportedEncodingException

  Specified by:
    `getReader` in interface `javax.portlet.ActionRequest`
  Throws:
    `UnsupportedEncodingException`

### getCharacterEncoding

    public String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `javax.portlet.ActionRequest`

### setContentType

    public void setContentType(String contentType)

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in interface `javax.portlet.ActionRequest`

### getContentLength

    public int getContentLength()

  Specified by:
    `getContentLength` in interface `javax.portlet.ActionRequest`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.